1. Orders
E-Commerce
  • Payments
    • List Payments
      GET
    • List Payment Providers
      GET
    • Get a Payment
      GET
    • Capture Payment
      POST
    • Refund Payment
      POST
  • Products
    • List Products
      GET
    • Create Product
      POST
    • Manage Products
      POST
    • Export Products
      POST
    • Create Product Import
      POST
    • Confirm Product Import
      POST
    • Get a Product
      GET
    • Update a Product
      POST
    • Delete a Product
      DELETE
  • Orders
    • List Orders
      GET
    • Get an Order
      GET
    • Archive an Order
      POST
    • Cancel Order
      POST
    • Complete Order
      POST
  • スキーマ
    • ZoneOffset
    • java.time.ZoneOffset
    • OffsetDateTime
    • java.time.OffsetDateTime
    • Metadata
    • com.example.commerce.schema.order.Metadata
    • PaymentProvider
    • com.example.commerce.schema.order.PaymentProvider
    • ContextCustomer
    • com.example.commerce.schema.order.ContextCustomer
    • Context
    • com.example.commerce.schema.order.Context
    • Capture
    • com.example.commerce.schema.order.Capture
    • RefundReason
    • com.example.commerce.schema.order.RefundReason
    • PurpleRefund
    • com.example.commerce.schema.order.PurpleRefund
    • PaymentSessionPayment
    • com.example.commerce.schema.order.PaymentSessionPayment
    • PaymentSession
    • com.example.commerce.schema.order.PaymentSession
    • FluffyRefund
    • com.example.commerce.schema.order.FluffyRefund
    • PaymentSession
    • com.example.commerce.schema.order.PaymentSession
    • PaymentElement
    • com.example.commerce.schema.order.PaymentElement
    • PaymentCollection
    • com.example.commerce.schema.order.PaymentCollection
    • Fulfillment
    • com.example.commerce.schema.order.Fulfillment
    • SalesChannel
    • com.example.commerce.schema.order.SalesChannel
    • Metadata
    • com.example.commerce.schema.order.Metadata
    • Group
    • com.example.commerce.schema.order.Group
    • Country
    • com.example.commerce.schema.order.Country
    • Address
    • com.example.commerce.schema.order.Address
    • OrderCustomer
    • com.example.commerce.schema.order.OrderCustomer
    • Address
    • com.example.commerce.schema.order.Address
    • Price
    • com.example.commerce.schema.order.Price
    • ImageOption
    • com.example.commerce.schema.order.ImageOption
    • Image
    • com.example.commerce.schema.order.Image
    • CalculatedPrice
    • com.example.commerce.schema.order.CalculatedPrice
    • Variant
    • com.example.commerce.schema.order.Variant
    • FluffyCollection
    • com.example.commerce.schema.order.FluffyCollection
    • ParentCategoryElement
    • com.example.commerce.schema.order.ParentCategoryElement
    • ParentCategoryElement
    • com.example.commerce.schema.order.ParentCategoryElement
    • PurpleCategory
    • com.example.commerce.schema.order.PurpleCategory
    • Image
    • com.example.commerce.schema.order.Image
    • PurpleOption
    • com.example.commerce.schema.order.PurpleOption
    • Type
    • com.example.commerce.schema.order.Type
    • ProductElement
    • com.example.commerce.schema.order.ProductElement
    • PurpleCollection
    • com.example.commerce.schema.order.PurpleCollection
    • SalesChannel
    • com.example.commerce.schema.order.SalesChannel
    • Variant
    • com.example.commerce.schema.order.Variant
    • Type
    • com.example.commerce.schema.order.Type
    • ImageOption
    • com.example.commerce.schema.order.ImageOption
    • ItemProduct
    • com.example.commerce.schema.order.ItemProduct
    • VariantOptionValues
    • com.example.commerce.schema.order.VariantOptionValues
    • TaxLine
    • com.example.commerce.schema.order.TaxLine
    • Adjustment
    • com.example.commerce.schema.order.Adjustment
    • Item
    • com.example.commerce.schema.order.Item
    • Detail
    • com.example.commerce.schema.order.Detail
    • ShippingMethod
    • com.example.commerce.schema.order.ShippingMethod
    • Transaction
    • com.example.commerce.schema.order.Transaction
    • Summary
    • com.example.commerce.schema.order.Summary
    • Order
    • com.example.commerce.schema.order.Order
    • Data
    • com.example.commerce.schema.payment.Data
    • Capture
    • com.example.commerce.schema.payment.Capture
    • RefundReason
    • com.example.commerce.schema.payment.RefundReason
    • PaymentRefund
    • com.example.commerce.schema.payment.PaymentRefund
    • PaymentClass
    • com.example.commerce.schema.payment.PaymentClass
    • PaymentRefundClass
    • com.example.commerce.schema.payment.PaymentRefundClass
    • Customer
    • com.example.commerce.schema.payment.Customer
    • Context
    • com.example.commerce.schema.payment.Context
    • PaymentSession
    • com.example.commerce.schema.payment.PaymentSession
    • Payment
    • com.example.commerce.schema.payment.Payment
    • Metadata
    • com.example.commerce.schema.product.Metadata
    • Metadata
    • com.example.commerce.schema.product.Metadata
    • ProductCollectionClass
    • com.example.commerce.schema.product.ProductCollectionClass
    • ParentCategoryElement
    • com.example.commerce.schema.product.ParentCategoryElement
    • ParentCategoryElement
    • com.example.commerce.schema.product.ParentCategoryElement
    • ProductCategory
    • com.example.commerce.schema.product.ProductCategory
    • ImageOption
    • com.example.commerce.schema.product.ImageOption
    • Image
    • com.example.commerce.schema.product.Image
    • Image
    • com.example.commerce.schema.product.Image
    • ProductOption
    • com.example.commerce.schema.product.ProductOption
    • Type
    • com.example.commerce.schema.product.Type
    • ProductElement
    • com.example.commerce.schema.product.ProductElement
    • ProductCollection
    • com.example.commerce.schema.product.ProductCollection
    • SalesChannel
    • com.example.commerce.schema.product.SalesChannel
    • Price
    • com.example.commerce.schema.product.Price
    • CalculatedPrice
    • com.example.commerce.schema.product.CalculatedPrice
    • Variant
    • com.example.commerce.schema.product.Variant
    • Type
    • com.example.commerce.schema.product.Type
    • ImageOption
    • com.example.commerce.schema.product.ImageOption
    • Product
    • com.example.commerce.schema.product.Product
  1. Orders

List Orders

GET
/admin/orders

リクエストパラメータ

クエリパラメータ

リクエストコードサンプル

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
リクエストリクエストExample
Shell
JavaScript
Java
Swift
curl --location --globoff 'http://127.0.0.1:8080/admin/orders?fields=1&offset=10&limit=100'

レスポンス

🟢200Success
application/json
ボディapplication/json

例
[
  {
    "payment_collections": [
      {
        "id": "",
        "currency_code": "",
        "region_id": "",
        "amount": 0,
        "authorized_amount": 0,
        "captured_amount": 0,
        "refunded_amount": 0,
        "completed_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "created_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "updated_at": {
          "dateTime": "",
          "offset": {
            "totalSeconds": 0
          }
        },
        "metadata": {},
        "status": "",
        "payment_providers": [
          {
            "is_enabled": false,
            "id": ""
          }
        ],
        "payment_sessions": [
          {
            "id": "",
            "amount": 0,
            "currency_code": "",
            "provider_id": "",
            "data": {},
            "context": {
              "customer": {
                "id": ""
              }
            },
            "status": "",
            "authorized_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "payment_collection": {},
            "payment": {
              "id": "",
              "amount": 0,
              "authorized_amount": 0,
              "currency_code": "",
              "provider_id": "",
              "cart_id": "",
              "order_id": "",
              "order_edit_id": "",
              "customer_id": "",
              "data": {},
              "created_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "updated_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "captured_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "canceled_at": {
                "dateTime": "",
                "offset": {
                  "totalSeconds": 0
                }
              },
              "captured_amount": 0,
              "refunded_amount": 0,
              "captures": [
                {
                  "id": "",
                  "amount": 0,
                  "created_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "created_by": "",
                  "payment": {}
                }
              ],
              "refunds": [
                {
                  "id": "",
                  "amount": 0,
                  "refund_reason_id": "",
                  "note": "",
                  "created_at": {
                    "dateTime": "",
                    "offset": {
                      "totalSeconds": 0
                    }
                  },
                  "created_by": "",
                  "payment": {},
                  "refund_reason": {
                    "id": "",
                    "label": "",
                    "description": "",
                    "metadata": {},
                    "created_at": {
                      "dateTime": "",
                      "offset": {
                        "totalSeconds": 0
                      }
                    },
                    "updated_at": {
                      "dateTime": "",
                      "offset": {
                        "totalSeconds": 0
                      }
                    }
                  }
                }
              ],
              "payment_collection": {},
              "payment_session": {}
            }
          }
        ],
        "payments": [
          {
            "id": "",
            "amount": 0,
            "authorized_amount": 0,
            "currency_code": "",
            "provider_id": "",
            "cart_id": "",
            "order_id": "",
            "order_edit_id": "",
            "customer_id": "",
            "data": {},
            "created_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "updated_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "captured_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "canceled_at": {
              "dateTime": "",
              "offset": {
                "totalSeconds": 0
              }
            },
            "captured_amount": 0,
            "refunded_amount": 0,
            "captures": [
              {
                "id": "",
                "amount": 0,
                "created_at"
更新日時 2025-05-16 08:33:52
前へ
Delete a Product
次へ
Get an Order
Built with